package corelib

import (
	"github.com/boj/redistore"
	"picgo/configs"
)

var SessionStore *redistore.RediStore

func NewSessionStore() {
	// Fetch new store.
	store, err := redistore.NewRediStore(10, "tcp", configs.Settings.Redis.Addr, configs.Settings.Redis.Password, []byte(configs.Settings.SessionsKey))
	if err != nil {
		panic(err)
	}
	// session过期时间24小时
	store.SetMaxAge(1 * 24 * 3600)
	SessionStore = store
	//defer store.Close()
}
